Authorization: Bearer ********************curl --location 'https://numueg.app/api/v1/stores//upsells' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"discount_type": "percentage",
"discount_value": 20,
"headline_ar": "عرض خاص لك! 🎁",
"headline_en": "Special offer for you! 🎁",
"name": "Buy X get Y 20% off",
"offer_product_id": "660e8400-e29b-41d4-a716-446655440000",
"priority": 10,
"trigger_product_ids": [
"550e8400-e29b-41d4-a716-446655440000"
],
"trigger_type": "product"
}'{
"success": true,
"data": {
"id": "string",
"store_id": "string",
"name": "string",
"is_active": true,
"trigger_type": "string",
"trigger_product_ids": [
"string"
],
"trigger_category_ids": [
"string"
],
"trigger_min_cart_value": 0,
"offer_product_id": "string",
"discount_type": "string",
"discount_value": 0,
"priority": 0,
"max_uses": 0,
"uses_count": 0,
"headline_ar": "string",
"headline_en": "string",
"description_ar": "string",
"description_en": "string",
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}